- Qt 5.15
- Qt Sensors
- C++ Classes
- QGyroscopeFilter
- Qt 5.15.11 Reference Documentation

# QGyroscopeFilter Class

The QGyroscopeFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QGyroscopeFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QGyroscopeReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QGyroscopeReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QGyroscopeFilter::filter(QGyroscopeReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().